{*?template charset=utf-8?*}

{def $current_user=fetch( 'user', 'current_user' )}
{def $digicopy_list=fetch(  'content', 'reverse_related_objects', hash(
                                                'object_id', $node.object.id,
                                                'attribute_identifier', 'famu_digicopy/film' ) )}

{def $extra=fetch( 'content', 'list',
        hash( 'parent_node_id',  $node.main_node_id,
              'class_filter_type',  'include',
              'class_filter_array', array( 'famu_extra' ) ) )}


{section show=$digicopy_list}
<div id="slideshow">
			<ul>
                         {foreach $digicopy_list as $stream}
                            <li>{attribute_view_gui attribute=$stream.data_map.still1 image_class=medium}</li>
                            <li>{attribute_view_gui attribute=$stream.data_map.still2 image_class=medium}</li>
                            <li>{attribute_view_gui attribute=$stream.data_map.still3 image_class=medium}</li>
                            <li>{attribute_view_gui attribute=$stream.data_map.still4 image_class=medium}</li>
                            <li>{attribute_view_gui attribute=$stream.data_map.still5 image_class=medium}</li>
                            <li>{attribute_view_gui attribute=$stream.data_map.still6 image_class=medium}</li>
                            <li>{attribute_view_gui attribute=$stream.data_map.still7 image_class=medium}</li>

{/foreach}
			</ul>
</div>
{/section}

<table><tr>
<td width="550"  valign="top">

<table width="100%"><tr><td valign="top"><h1>{$node.object.data_map.nazev.content}</h1>
</td><td width="40">
        <label>Rok vzniku</label>
    	<p class="box">
{$node.object.data_map.rok.content}</p>
</td><td width="40">
        <label>Minutáž</label>
    	<p class="box">
{$node.object.data_map.minutaz.content}</p>
</td></tr>
</table>



{* //////////////////////// TABS //////////////////////////// *}


        <div id="tab-container" class="flora">
            <ul>
                <li><a href="#fragment-1"><span>O filmu</span></a></li>
                <li><a href="#fragment-2"><span>Autoři</span></a></li>
                <li><a href="#fragment-3"><span>Info</span></a></li>
                <li><a href="#fragment-4"><span>Ostatní</span></a></li>
{if $current_user.login|ne('anonymous')}
                <li><a href="#fragment-5"><span>Úpravy</span></a></li>
{/if}
            </ul>
            <div id="fragment-1">
                         <label>Synopse</label>
                         <p class="block">
                         {attribute_view_gui attribute=$node.object.data_map.synopse}</p>
            </div>

            <div id="fragment-2">

{if $node.object.data_map.rezie.has_content}
        <label>Režie</label>
        <p class="block">
{attribute_view_gui attribute=$node.object.data_map.rezie}</p>
{/if}
{if $node.object.data_map.produkce.has_content}
        <label>Produkce</label>
        <p class="block">
{attribute_view_gui attribute=$node.object.data_map.produkce}</p>
{/if}
{if $node.object.data_map.kamera.has_content}
        <label>Kamera</label>
        <p class="block">
{attribute_view_gui attribute=$node.object.data_map.kamera}</p>
{/if}
{if $node.object.data_map.strih.has_content}
        <label>Střih</label>
        <p class="block">
{attribute_view_gui attribute=$node.object.data_map.strih}</p>
{/if}
{if $node.object.data_map.hudba.has_content}
        <label>Hudba</label>
        <p class="block">
{attribute_view_gui attribute=$node.object.data_map.hudba}</p>
{/if}
{if $node.object.data_map.animace.has_content}
        <label>Animace</label>
        <p class="block">
{attribute_view_gui attribute=$node.object.data_map.animace}</p>
{/if}
{if $node.object.data_map.zvuk.has_content}
        <label>Zvuk</label>
        <p class="block">
{attribute_view_gui attribute=$node.object.data_map.zvuk}</p>
{/if}
{if $node.object.data_map.scenar.has_content}
        <label>Scénář</label>
        <p class="block">
{attribute_view_gui attribute=$node.object.data_map.scenar}</p>
{/if}              
            
            </div>
            <div id="fragment-3">

<label>Původní nosič</label>
    	<p class="box">
{attribute_view_gui attribute=$node.object.data_map.carrier}</p>

<label>Typ</label>
    	<p class="box">
{attribute_view_gui attribute=$node.object.data_map.type}</p>

<label>Žánr</label>
    	<p class="box">
{attribute_view_gui attribute=$node.object.data_map.zanr}</p>
  
{if $node.object.data_map.technika.has_content}
<label>Specifická technika</label>
    	<p class="box">
{attribute_view_gui attribute=$node.object.data_map.technika}</p>
{/if}

<label>Jazyk</label>
    	<p class="box">
{attribute_view_gui attribute=$node.object.data_map.jazyk}</p>

{if $node.object.data_map.jazyk_titulky.has_content}
<label>Jazyk titulků v obraze</label>
    	<p class="box">
{attribute_view_gui attribute=$node.object.data_map.jazyk_titulky}</p>
{/if}

<label>Výroba</label>
    	<p class="box">
{attribute_view_gui attribute=$node.object.data_map.vyroba}</p>


            </div>
            <div id="fragment-4">

{if $node.object.data_map.titulky.has_content}
        <label>Titulková listina</label>
{attribute_view_gui attribute=$node.object.data_map.titulky}
{/fi}
{if $node.object.data_map.spoluprace.has_content}
        <label>Spolupracovali</label>
{attribute_view_gui attribute=$node.object.data_map.spoluprace}
{/fi}
{if $node.object.data_map.hrali.has_content}
        <label>Hráli</label>
{attribute_view_gui attribute=$node.object.data_map.hrali}
{/if}

            </div>

{if $current_user.login|ne('anonymous')}
            <div id="fragment-5">

            <label>Verze</label>
{* Loop through all versions and display their names. *}
{def $versions=fetch( 'content', 'version_list', hash( 'contentobject', $node.object ) )}
{foreach $versions as $version}
{$version.version} <a href={$version.creator.main_node.url_alias|ezurl}>{$version.creator.name}</a> {$version.modified|datetime( 'custom', '%h:%i %a %d %F %Y' )}<br />
{/foreach}
<br />

<form style="margin-left:0px" method="post" action={"content/action"|ezurl}>
<input type="hidden" name="ContentNodeID" value="{$node.node_id}" />
<input type="hidden" name="ContentObjectID" value="{$node.object.id}" />
<input type="hidden" name="ViewMode" value="full" />
   {switch match=$node.object.can_edit}
   {case match=1}
   <input class="defaultbutton" type="submit" name="EditButton" value="upravit film" />
   {/case}
   {case match=0}
   {/case}
   {/switch}
</form>

{if eq( $extra|count(), 0)} {* extra info *}
<form method="post" action={"content/action"|ezurl}>
<input type="hidden" name="ContentNodeID" value="{$node.main_node_id}" />
<input type="hidden" name="ContentObjectID" value="{$node.object.id}" />
<input type="hidden" name="ViewMode" value="full" />
    <input type="hidden" name="NodeID" value="{$node.main_node_id}" />
    <input type="hidden" name="ClassID" value="43" />
    <input class="button" type="submit" name="NewButton" value="přidat extra info" />
</form>
{else}
<form method="post" action={"content/action"|ezurl}>
<input type="hidden" name="ContentNodeID" value="{$extra.0.node_id}" />
<input type="hidden" name="ContentObjectID" value="{$extra.0.object.id}" />
<input type="hidden" name="ViewMode" value="full" />
   <input class="button" type="submit" name="EditButton" value="upravit extra info" />
</form>
{/if} {* extra info *}
            </div>
{/if}

        </div> {* zalozky *}


</td>
<td width="12" >&nbsp;</td>
<td width="150" valign="top">{* VPRAVO *}

<br />
<br />
        {* STREAMS *}

{if $current_user.login|ne('anonymous')}

        <label>Přehrávání</label>
<br />
    <div id="bibliolist">

        {foreach $digicopy_list as $stream}

        {* //////////////// STREAM INFO AND COMMENTS //////////////////// *}

{def $storage=fetch( 'content', 'node', hash( 'node_id', $stream.data_map.storage.content.relation_list.0.node_id) )}

        <div>

{if $storage.object.data_map.url_mp4_full.has_content}
{def $url=concat( $storage.object.data_map.url_mp4_full.content, $stream.data_map.id.content, '.mov' ) }
{switch match=$stream.data_map.image.content.0}
    {case match='0'} 
        {def $x1=768}
        {def $y1=576}
    {/case}
    {case match='1'}
        {def $x1=1024}
        {def $y1=576}
    {/case}
    {case match='2'}
        {def $x1=640}
        {def $y1=480}
    {/case}
    {case match='3'}
        {def $x1=1024}
        {def $y1=576}
    {/case}
{/switch}
	<div class="title">4Mbit plné rozlišení</div>
	<div style="display: none;">
<table width="100%"><tr><td valign="top">
<a onclick="return popplayer('{$x1}','{$y1|sum(16)}','00:00:00:00','{$url}');" href="#"><img src={'images/play48.png'|ezdesign} border="0" /></a></td><td valign="top">  
<a href="{$url}">URL</a><br />{$x1} x {$y1}<br />
<font color="red"><i>U tohoto filmu nejsou zajištěna práva ke zveřejnění. Nelze přehrávat mimo AMU</i></font>
</td><td valign="top">  
{section show=$stream.object.can_edit}
            <a href={concat("content/edit/",$stream.object.id)|ezurl}><img src={'images/edit16.png'|ezdesign} border="0" align="right" /></a><br />
{/section}
</td></tr></table>
	</div>

{/if} {* full res *}

	</div>
        {/foreach}

</div> {* bibliolist *}
{else}
{* prehravani neni k dispozici *}
{/if}



</td></tr>
</table>