{*?template charset=utf-8?*}

<div class="content-view-full">
    <div class="class-folder">

<table width="100%">
<tr><td>

        <h1>{$node.object.data_map.name.content|wash()}</h1>

        {section show=$node.object.data_map.description.content.is_empty|not}
            <div class="attribute-long">
                {attribute_view_gui attribute=$node.object.data_map.description}
            </div>
        {/section}

{* //////////////////////// RECENT /////////////////// *}


        {section show=is_unset( $versionview_mode )}

            {let
                 list_items=array()
                 list_count=0}

            {section show=or( $view_parameters.day, $view_parameters.month, $view_parameters.year )}
                {let time_filter=array( and,
                                        array( 'published', '>=',
                                               maketime( 0, 0, 0,
                                                         $view_parameters.month, cond( $view_parameters.day, $view_parameters.day, 1 ), $view_parameters.year ) ),
                                        array( 'published', '<=',
                                               maketime( 23, 59, 59,
                                                         cond( $view_parameters.day, $view_parameters.month, $view_parameters.month|inc ), cond( $view_parameters.day, $view_parameters.day, 0 ), $view_parameters.year ) ) )}
                {set list_items=fetch( content, tree, hash( parent_node_id, 2,
                                                             attribute_filter, $time_filter,
                                                             'class_filter_type',  'include',
                                                             'class_filter_array', array( 'famu_autor' ),
                                                             sort_by, array( 'published', false() ) ) )
                     list_count=fetch( content, tree_count, hash( parent_node_id, $node.main_node_id ) )}
                {/let}
            {section-else}
                {set list_items=fetch( content, tree, hash( parent_node_id, 2,
                                                             'class_filter_type',  'include',
                                                             'class_filter_array', array( 'famu_autor' ),
                                                             sort_by, array( 'published', false() ) ) )}
                {set list_count=fetch( content, tree_count, hash( parent_node_id, $node.main_node_id ) )}
            {/section}

{* TABULKA *}
{literal}
<script type="text/javascript">
$(document).ready(function() {
	$('#example').dataTable( {
		"aoData": [	{ "sType": "html" }, null, null, null	]
	} );
} );
</script>
{/literal}

 <table class="display" id="example">  
     <thead>  
         <tr>  
             <th>Jmeno</th>  
             <th>Nar.</th>  
             <th>Rel</th>  
             <th>Web</th>  
         </tr>  
     </thead>  
     <tbody>
                {foreach $list_items as $autor}                  
                <tr>  
               <td><strong><a href={$autor.url_alias|ezurl}>{$autor.name|wash}</a></strong></td>
<td width="15%" align="right">{$autor.object.data_map.narozeni.content}</td>
<td width="15%" align="right">{fetch( 'content', 'reverse_related_objects_count', hash( 'object_id', $autor.object.id,  'all_relations', true() ) )}</td>
                <td>{attribute_view_gui attribute=$autor.object.data_map.url}</td>
                </tr>  
                {/foreach}  
     </tbody>  
 </table> 
            {/let}

        {/section}

</td><td>

{* //////////////////////// GROUPS /////////////////////// *}

            {let list_items=array() }
                {set list_items=fetch( content, list, hash( parent_node_id, $node.main_node_id,
                                                             'class_filter_type',  'include',
                                                             'class_filter_array', array( 'folder' ),
                                                             sort_by, array( 'name', false() )              ) )}

            <div class="content-view-children">
                {section var=child loop=$list_items sequence=array(bglight,bgdark)}
                    {node_view_gui view=line content_node=$child}
                {/section}
            </div>
            {/let}

</td></tr>
</table>

    </div>
</div>