{*?template charset=utf-8?*}

<table width="95%">
<tr><td>

        <h1>{$node.object.data_map.name.content|wash()}</h1>

        {section show=$node.object.data_map.description.content.is_empty|not}
            <div class="attribute-long">
                {attribute_view_gui attribute=$node.object.data_map.description}
            </div>
        {/section}

{* //////////////////////// RECENT /////////////////// *}

        {section show=is_unset( $versionview_mode )}

            {let page_limit=30
                 list_items=array()
                 list_count=0}

            {section show=or( $view_parameters.day, $view_parameters.month, $view_parameters.year )}
                {let time_filter=array( and,
                                        array( 'published', '>=',
                                               maketime( 0, 0, 0,
                                                         $view_parameters.month, cond( $view_parameters.day, $view_parameters.day, 1 ), $view_parameters.year ) ),
                                        array( 'published', '<=',
                                               maketime( 23, 59, 59,
                                                         cond( $view_parameters.day, $view_parameters.month, $view_parameters.month|inc ), cond( $view_parameters.day, $view_parameters.day, 0 ), $view_parameters.year ) ) )}
                {set list_items=fetch( content, tree, hash( parent_node_id, $node.main_node_id,
                                                             attribute_filter, $time_filter,
                                                             'class_filter_type',  'include',
                                                             'class_filter_array', array( 'famu_film' , 'famu_scenar' , 'photocollection'),
                                                             sort_by, array( 'name', true() )
                                                             ) )
                     list_count=fetch( content, tree_count, hash( parent_node_id, $node.main_node_id ) )}
                {/let}
            {section-else}
                {set list_items=fetch( content, tree, hash( parent_node_id, $node.main_node_id,
                                                             'class_filter_type',  'include',
                                                             'class_filter_array', array( 'famu_film' , 'famu_scenar' , 'photocollection'),
                                                             sort_by, array( 'name', true() )
                                                             ) )}
                {set list_count=fetch( content, tree_count, hash( parent_node_id, $node.main_node_id ) )}
            {/section}

{* TABULKA *}
{literal}
<script type="text/javascript">
$(document).ready(function() {
	$('#example').dataTable( {
		"aoData": [	{ "sType": "html" }, null, null, null, null, null	]
	} );
} );
</script>
{/literal}

 <table class="display" id="example">  
     <thead>  
         <tr>  
             <th>Titul</th>  
             <th>*</th>  
             <th>Delka</th>  
             <th>Stav</th>  
             <th>*</th>  
             <th>*</th>
         </tr>  
     </thead>  
     <tbody>
                {foreach $list_items as $film}                  
                <tr>  
               <td><strong><a href={$film.url_alias|ezurl}>{$film.name|wash}</a></strong><br />
{$film.object.data_map.hlavni.content}</td>
<td width="1%" align="right">{if $film.object.data_map.soutez.content}S{/if}</td>
<td width="15%" align="right">{if $film.object.data_map.minutaz.has_content}{$film.object.data_map.minutaz.content}{else}{attribute_view_gui attribute=$film.object.data_map.realizace}{/if}</td>
<td width="15%" align="right">{$film.object.data_map.poznamka.content}</td>
<td width="1%" align="right">{if $film.object.can_edit}
<a href={concat("content/edit/",$film.object.id)|ezurl}><img src={'images/edit10.png'|ezdesign} border="0" align="right" alt="EDIT"/></a>{/if}</td>
<td>{if $film.object.data_map.still1.has_content}<a href={$film.object.data_map.still1.content[original].full_path|ezroot}> 1</a> {/if}
{if $film.object.data_map.still2.has_content}<a href={$film.object.data_map.still2.content[original].full_path|ezroot}> 2</a> {/if}
{if $film.object.data_map.still3.has_content}<a href={$film.object.data_map.still3.content[original].full_path|ezroot}> 3</a> {/if}
</td>
                </tr>  
                {/foreach}  
     </tbody>  
 </table> 

            {/let}

        {/section}

</td><td  valign="top">


</td></tr>
</table>